<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>List of orders</title>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

  <!-- Import Datatable sau jquery -->
  <!-- Import them style bootstrap cho datatable -->
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
  <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
  <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
</head>

<body>
  <div class="container">
    <h2 style="text-align: center;">DANH SÁCH ĐỒ UỐNG</h2>
    
    <table class="table table-bordered table-striped table-hover" id="order-table">
      <thead>
        <tr>
          <th>STT</th>
          <th>Mã nước uống</th>
          <th>Tên nước uống</th>
          <th>Đơn giá</th>
          <th>Ngày tạo</th>
          <th>Ngày cập nhật</th>
          
        </tr>
    </table>
  </div>
 
</body>
<script>
  "use strict";
 
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
  
    const gBASE_URL = "http://localhost:8086/drinks";

    var gDrinksArr = [];
    const gCOLUMN_STT = 0;
    const gCOLUMN_DRINK_CODE = 1;
    const gCOLUMN_DRINK_NAME = 2;
    const gCOLUMN_PRICE = 3;
    const gCOLUMN_CREATE_DATE = 4;
    const gCOLUMN_MODIFY_DATE = 5;
    
    const gDRINK_COL = ["stt", "maNuocUong", "tenNuocUong", "price", "ngayTao", "ngayCapNhat"]

    

    // set and mapping data table
    var gDrinkTable = $("#order-table").DataTable({
      "columns": [
        { "data": gDRINK_COL[gCOLUMN_STT] },
        { "data": gDRINK_COL[gCOLUMN_DRINK_CODE] },
        { "data": gDRINK_COL[gCOLUMN_DRINK_NAME] },
        { "data": gDRINK_COL[gCOLUMN_PRICE] },
        { "data": gDRINK_COL[gCOLUMN_CREATE_DATE] },
        { "data": gDRINK_COL[gCOLUMN_MODIFY_DATE] },
       
        
        
      ],
      columnDefs: [
        {
          targets: gCOLUMN_STT,
          className: 'text-center',
          render: function (data, type, row, meta) {
                  return meta.row + meta.settings._iDisplayStart + 1;}

        },
      ]
    });

    /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */
   
    $(document).ready(function () {

    onPageLoading();
        
  })

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    
    // function for loading page
    function onPageLoading() {
      
      $.ajax({
        url: gBASE_URL,
        type: "GET",
        dataType: 'json',
        success: function (responseObject) {
          //debugger;
          gDrinksArr = responseObject;
          loadDataToTable(responseObject);
        },
        error: function (error) {
          console.assert(error.responseText);
        }
      });
    }
    
        
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình */
           
    // load data to table
    function loadDataToTable(paramResponseObject) {
      
      gDrinkTable.clear();
      gDrinkTable.rows.add(paramResponseObject);
      gDrinkTable.draw();
    }
      
  
</script>

</html>